%define rhugversion 20030924
%define rhugsource1 xerces-%(echo %{version} | sed 's:\\.:_:g') upstream
%define rhugpatches 2 3

Summary: The Xerces XML parser
Name: xerces-j
Version: 2.2.1
Release: 11.XOS.1
URL: http://xml.apache.org/xerces2-j/
Source: rhug-xerces-%{rhugversion}.tar.bz2
Source1: Xerces-J-src.%{version}.tar.gz
Patch1: %{name}-2.2.1-release.patch
Patch2: %{name}-2.2.1-nag13282.patch
Patch3: %{name}-2.2.1-pr9547.patch
Patch4: %{name}-2.2.1-pr8823.patch
Patch5: %{name}-2.2.1-jarname.patch
Patch7: %{name}-2.2.1-hammer.patch
License: Apache Software License
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc-c++-ssa
BuildPrereq: gcc-java-ssa >= 3.5ssa-0.20030801.34
Prereq: redhat-java-rpm-scripts >= 1.0.2-2
Requires: libgcj-ssa >= 3.5ssa-0.20030801.34
Obsoletes: xerces
Provides: xerces
ExclusiveArch: i386 x86_64 ppc ia64

%description
Xerces (named after the Xerces Blue butterfly) provides world-class
XML parsing and generation. Fully-validating parsers are available for
both Java and C++, implementing the W3C XML and DOM (Level 1 and 2)
standards, as well as the de facto SAX (version 2) standard. The
parsers are highly modular and configurable. Initial support for XML
Schema (draft W3C standard) is also provided.

%package devel
Summary: CNI headers for developing Xerces applications
Group: Development/Libraries
Requires: xerces-j = %{version}-%{release}
Obsoletes: xerces-devel

%description devel
The xerces-j-devel package contains the headers required to develop
Cygnus Native Interface (CNI) extensions that use Xerces.

%prep
%setup -q -a 1
mv %{rhugsource1}
%patch1 -p0 -b .release
%patch2 -p0 -b .nag13282
%patch3 -p1 -b .pr9547
%patch4 -p0 -b .pr8823
%patch5 -p0 -b .jarname
%patch7 -p0 -b .hammer
mv ChangeLog ChangeLog.rhug
for f in Version.java; do
    f=upstream/src/org/apache/xerces/impl/$f
    sed -e "s:@@VERSION@@:Xerces-J %{version}-%{release}:g" \
	< $f > $f.tmp && mv -f $f.tmp $f
done

%build
CC=gcc-ssa CXX=g++-ssa GCJ=gcj-ssa GCJH=gcjh-ssa \
./configure --disable-static --prefix=%{_prefix} --libdir=%{_libdir}
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la
find ${RPM_BUILD_ROOT}%{_libdir} -type l | xargs rm -f

%post
%{_sbindir}/javaconfig \
    %{_libdir}/lib-javax-xml-parsers.so \
    %{_libdir}/lib-org-apache-html.so \
    %{_libdir}/lib-org-apache-wml.so \
    %{_libdir}/lib-org-apache-xerces.so \
    %{_libdir}/lib-org-apache-xml-serialize.so \
    %{_libdir}/lib-org-w3c-dom.so \
    %{_libdir}/lib-org-xml-sax.so \
    %{_datadir}/java/xerces.jar

%postun
%{_sbindir}/javaconfig \
    %{_libdir}/lib-javax-xml-parsers.so \
    %{_libdir}/lib-org-apache-html.so \
    %{_libdir}/lib-org-apache-wml.so \
    %{_libdir}/lib-org-apache-xerces.so \
    %{_libdir}/lib-org-apache-xml-serialize.so \
    %{_libdir}/lib-org-w3c-dom.so \
    %{_libdir}/lib-org-xml-sax.so \
    %{_datadir}/java/xerces.jar
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.rhug upstream/{LICENSE,ISSUES,README,Readme.html,STATUS,TODO}
%doc upstream/{docs,data,samples}
%{_libdir}/*.so
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_includedir}/javax/xml/parsers
%{_includedir}/org/apache/html
%{_includedir}/org/apache/wml
%{_includedir}/org/apache/xerces
%{_includedir}/org/apache/xml/serialize
%{_includedir}/org/w3c/dom
%{_includedir}/org/xml/sax

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 2.2.1-11.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on xerces-j-2.2.1-11.src.rpm
  (md5sum of original source rpm: 31c3872e694b8b0ad8586a5a44639253).

* Wed Sep 24 2003 Gary Benson <gbenson@redhat.com> 2.2.1-11
- Add a missing resource from lib-org-apache-xml-serialize.so.

* Fri Sep 19 2003 Gary Benson <gbenson@redhat.com> 2.2.1-10
- Substitute @@VERSION@@ into the file that needs it.
- Merge libraries to avoid unresolved symbols caused by broken
  circular dependencies.

* Fri Sep  5 2003 Gary Benson <gbenson@redhat.com> 2.2.1-9
- Ensure we have a working javaconfig.

* Thu Sep  4 2003 Gary Benson <gbenson@redhat.com>
- Remove workarounds used to support alpha releases.

* Fri Aug 15 2003 Gary Benson <gbenson@redhat.com> 2.2.1-8
- Rebuild with new compiler.

* Mon Aug 11 2003 Gary Benson <gbenson@redhat.com> 2.2.1-7
- Remove optimiser failure workaround.

* Tue Aug  5 2003 Gary Benson <gbenson@redhat.com> 2.2.1-6
- Rebuild with new compiler.

* Mon Jul 28 2003 Gary Benson <gbenson@redhat.com> 2.2.1-5
- Add missing resources to jarfile (#100977).

* Fri Jul 25 2003 Gary Benson <gbenson@redhat.com>
- Move everything but the CNI includes out of the -devel subpackage.
- Clarify the -devel subpackage's summary and description.
- Remove unnecessary -devel build-time dependencies (#99077).

* Mon Jun 30 2003 Gary Benson <gbenson@redhat.com> 2.2.1-4
- Rebuild with new compiler and enable ia64 build.

* Fri Jun  6 2003 Gary Benson <gbenson@redhat.com> 2.2.1-3
- Rebuild with new compiler.

* Thu Jun  5 2003 Gary Benson <gbenson@redhat.com>
- Add build time dependency on C++ compiler.

* Thu May 29 2003 Gary Benson <gbenson@redhat.com> 2.2.1-2
- Rebuild with new compiler.

* Thu May 22 2003 Gary Benson <gbenson@redhat.com> 2.2.1-1
- Renamed from xerces to xerces-j.
- Move unversioned library symlinks into main package.

* Fri May  2 2003 Tom Tromey <tromey@redhat.com> 2.2.1-9
- Rebuild with new compiler.

* Fri Apr 11 2003 Gary Benson <gbenson@redhat.com> 2.2.1-8
- Fix linking on hammer.

* Wed Apr  9 2003 Gary Benson <gbenson@redhat.com> 2.2.1-7
- Compile resources with libtool to enable hammer builds.

* Tue Apr  8 2003 Gary Benson <gbenson@redhat.com>
- Rename serialize patch to pr8823 patch.

* Fri Apr  4 2003 Gary Benson <gbenson@redhat.com>
- Rename libtool patch to relink patch.

* Tue Apr  1 2003 Gary Benson <gbenson@redhat.com> 2.2.1-6
- Rearrange the order in which libraries are linked together (again).
- Remove the ignore-errors part of the libtool patch.

* Fri Mar 28 2003 Tom Tromey <tromey@redhat.com> 2.2.1-5
- Apply libtool no-relink patch.

* Fri Mar 28 2003 Gary Benson <gbenson@redhat.com> 2.2.1-4
- Rearrange the order in which libraries are linked together.

* Thu Mar 27 2003 Gary Benson <gbenson@redhat.com> 2.2.1-3
- Tighten up directory ownership in %{_includedir}.

* Thu Mar 27 2003 Gary Benson <gbenson@redhat.com> 2.2.1-2
- Rebuild with new compiler.
- Package up all built libraries.

* Thu Mar 20 2003 Gary Benson <gbenson@redhat.com> 2.2.1-1
- Initial Red Hat Linux build.

* Sat Mar  2 2002 Anthony Green <green@redhat.com>
- Initial RHUG build.
